import request from '@/utils/request'
// const baseURL = process.env.VUE_APP_BASE_API
const baseURL = ''

// 获取所有模型列表
export function getAllModel(data) {
  return request({
    url: `${baseURL}/iot/dataModel/all`,
    method: 'post',
    data
  })
}

// 获取模型详情
export function getModelDetail(data) {
  return request({
    url: `${baseURL}/iot/dataModel/detail`,
    method: 'post',
    data
  })
}

// 获取指定模型的实例列表
export function getModelInstanceList(data) {
  return request({
    url: `${baseURL}/iot/dataModel/getModelInstanceList`,
    method: 'post',
    data
  })
}
// 获取图表数据
export function getModelInstanceChart(data) {
  return request({
    url: `${baseURL}iot/dashboard/modelData`,
    method: 'post',
    data
  })
}
